%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%%*********************************************************************
%%%
%%%   Filename:         tv_db_int_def.hrl
%%%
%%%   Author:           EPK/TE  Fredrik Gustafson 
%%% 
%%%   SCCS Delta ID:    1.3
%%%
%%%   SCCS Delta Date:  97/06/12
%%%
%%%   SCCS ID:          @(#)  tv_db_int_def.hrl  1.3  97/06/12
%%%
%%%   Description:      Internal definitions for the database part of the table 
%%%                     tool.
%%%
%%%*********************************************************************
%%%
%%%   COPYRIGHT ERICSSON TELECOM AB 1998
%%%
%%%   THE COPYRIGHT TO THE COMPUTER PROGRAM HEREIN IS THE
%%%   PROPERTY OF ERICSSON TELECOM AB, SWEDEN. THE PROGRAM
%%%   MAY BE USED AND/OR COPIED ONLY WITH THE WRITTEN PERMISSION
%%%   FROM ERICSSON TELECOM AB, OR IN ACCORDANCE WITH THE TERMS
%%%   AND CONDITIONS STIPULATED IN THE AGREEMENT/CONTRACT UNDER
%%%   WHICH THE PROGRAM HAS BEEN SUPPLIED.
%%%
%%%*********************************************************************
%%%
%%%   Revision information:
%%%
%%%   Date      Name                       Description
%%%   ------    -----------------------    -----------
%%%   970427    EPK/TE  F Gustafson        First version.
%%%
%%%*********************************************************************


-author('fredrik@erlang.ericsson.se').
-vsn('$Revision: /main/release/free/1').
-copyright('Copyright (C) 1991-98 Ericsson Telecom AB').



-define(WHITE,             {255, 255, 255}).
-define(MEDIUM_GRAY,       {170, 170, 170}).


-define(LIGHT_GREEN,       {  0, 255,   0}).
-define(GREEN,             { 50, 215,  50}).
-define(DARK_GREEN,        { 50, 170,  50}).
-define(FOREST_GREEN,      { 34, 139,  34}).
-define(DARK_FOREST_GREEN, { 15, 100,  15}).



-define(RED,               {255,   0,   0}).
-define(PINK,              {255, 130, 170}).
-define(LIGHT_VIOLET,      {220, 150, 225}).
-define(VIOLET,            {160,  70, 180}).
-define(DARK_VIOLET,       {100,  10, 130}).






-record(process_variables, {master_pid,
                            db_data      = #db_data{},
			    list_of_keys = []
                           }).




-record(db_data, {db            = [],     % List containing all elements
		  db_size       = 0,      % Number of elements in 'db'
		  max_elem_size = 0,      % Size of largest element in db.
		  hidden        = [],     % Elements (i.e., keys) not to be shown
		  deleted       = [],     % Elements just deleted
		  subset_size,            % Size of the subset to be extracted and 
		                          % shown
		  subset_pos,             % Position in list where subset starts
		  sorting       = false,  % Tells whether sorting is used ('true' 
		                          % or 'false')
		  requested_row = 0,
		  rev_sorting   = false,  % Tells whether the sorting (if any) is
		                          % in reversed order or not ('true' or 
		                          % 'false')
		  sort_key_no,            % Element in each tuple to use as sorting
		                          % element
		  key_no,                 % Element in each tuple to use as key
		                          % (this element is used when updating the
					  % dblist, i.e., inserting, deleting a.s.o)
		  ets_type                % 'bag' or 'set'
		 }).
                      

