%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%%*********************************************************************
%%%
%%%   Filename:         tv_int_msg.hrl
%%%
%%%   Author:           EPK/TE  Fredrik Gustafson 
%%% 
%%%   SCCS Delta ID:    1.3
%%%
%%%   SCCS Delta Date:  97/06/12
%%%
%%%   SCCS ID:          @(#)  tv_int_msg.hrl  1.3  97/06/12
%%%
%%%   Description:      File containing all messages used internally 
%%%                     between the various table tool components.
%%%
%%%*********************************************************************
%%%
%%%   COPYRIGHT ERICSSON TELECOM AB 1998
%%%
%%%   THE COPYRIGHT TO THE COMPUTER PROGRAM HEREIN IS THE
%%%   PROPERTY OF ERICSSON TELECOM AB, SWEDEN. THE PROGRAM
%%%   MAY BE USED AND/OR COPIED ONLY WITH THE WRITTEN PERMISSION
%%%   FROM ERICSSON TELECOM AB, OR IN ACCORDANCE WITH THE TERMS
%%%   AND CONDITIONS STIPULATED IN THE AGREEMENT/CONTRACT UNDER
%%%   WHICH THE PROGRAM HAS BEEN SUPPLIED.
%%%
%%%*********************************************************************
%%%
%%%   Revision information:
%%%
%%%   Date      Name                       Description
%%%   ------    -----------------------    -----------
%%%   970427    EPK/TE  F Gustafson        First version.
%%%
%%%
%%%*********************************************************************




-author('fredrik@erlang.ericsson.se').
-vsn('$Revision: /main/release/free/1').
-copyright('Copyright (C) 1991-98 Ericsson Telecom AB').







%%%*********************************************************************
%%% MESSAGES OWNED BY PC
%%%*********************************************************************


%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_menu_msg, {sender, data}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_win_conf, {sender, 
		      width, 
		      height}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pc_show_table_info, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pc_poll_table, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pc_open_table, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pc_help, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pc_set_sorting_mode, {sender,
			      sorting,         % 'true' or 'false'
			      reverse,         % 'true' or 'false',
			      sort_key_no = 1
			     }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pc_set_sorting_mode_cfm, {sender,
				  sort_key_no
				 }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pc_marked_row, {sender,
			row_no
		       }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_data_req, {sender, 
		      element, 
		      nof_elements
		     }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_resend_data, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_data, {sender, 
		  scale_pos,     % vertical scale
		  scale_range,   % vertical scale
		  max_elem_size,
		  list_range, 
		  elementlist,
		  marked_row,
		  list_of_keys,
		  color}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_dead_table, {sender,
			automatic_polling}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_nodedown, {sender,
		      automatic_polling}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pc_search_req, {sender
		       }).




%%%*********************************************************************
%%% MESSAGES OWNED BY PD
%%%*********************************************************************



%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pd_win_conf, {sender, 
		      width, 
		      height}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       sender:      Pid of the sender of the message.
%%             win:         Id of window to create canvas and scale in.
%%             win_width:   width of the window to create the canvas in.
%%             win_height:  height of the window to create the canvas in.
%%             scale:       whether a scale shall be shown or not.
%%                          Possible values: true  -- scale is shown.
%%                                           false -- scale is not shown.
%%======================================================================


-record(pd_deblock, {sender, 
		     win,
		     win_width, 
		     win_height,
		     scale = false,
		     range}).
		     




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pd_deblock_cfm, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pd_new_table, {sender}).






%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pd_get_sort_settings, {sender,
			       sorting,
			       reverse
			      }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pd_no_sorting, {sender
		       }).






%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pd_ignore, {sender
		   }).






%%%*********************************************************************
%%% MESSAGES OWNED BY PW
%%%*********************************************************************




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pw_deblock, {sender, 
		     win_title, 
		     win_width,
		     win_height,
		     min_win_width,
		     min_win_height}).
		     




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pw_set_window_title, {sender,
			      win_title}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pw_deblock_cfm, {sender,
			 win_id}).






%%======================================================================
%% Message:    pw_create_menu.
%%
%% Function:   Order to pw to create a menu according to the content of the message.
%%
%% Data:       menutitle: string containing the name of the menu, e.g., "File".
%%             menulist:  list of tuples having the following format: 
%%                        {Text, Data}, where Text is the string that shall be 
%%                        written in each menulist item, and Data is optional data,
%%                        presumably the name of a function that is to be called 
%%                        when the corresponding menulist message is received.
%%======================================================================

-record(pw_create_menu, {sender,
			 menutitle, 
			 title_acc_pos,
			 menulist}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pw_create_menu_cfm, {sender}).








%%%*********************************************************************
%%% MESSAGES OWNED BY DBS
%%%*********************************************************************




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(dbs_deblock, {sender,
		      type,
		      keypos,
		      sublist_length}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(dbs_deblock_cfm, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(dbs_new_data, {sender,
		       data,
		       keys,
		       time_to_read_table
		      }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(dbs_subset, {sender,
		     data,
		     requested_row,
		     subset_pos,
		     db_length,
		     max_elem_size,
		     list_of_keys,
		     required_time_etsread,
		     required_time_dbs}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(dbs_subset_req, {sender,
			 subset_pos, 
			 subset_length
			}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(dbs_sorting_mode, {sender,
			   sorting,    % 'true' or 'false'
			   reverse,    % 'true' or 'false'
			   sort_key_no
			  }).
			   




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(dbs_marked_row, {sender,
			 row_no
			}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(dbs_search_req, {sender
		       }).





%%%*********************************************************************
%%% MESSAGES OWNED BY ETSREAD
%%%*********************************************************************



%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(etsread_deblock, {sender,
			  dbs_pid,
			  node,
			  table_id,
			  table_type,       % One of 'ets' or 'mnesia'
			  poll_interval}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(etsread_deblock_cfm, {sender,
			      type,
			      keypos}).






%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(etsread_set_poll_interval, {sender,
				    interval}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(etsread_poll_table, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(etsread_show_table_info, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(etsread_dead_table, {sender}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(etsread_nodedown, {sender}).









%%%*********************************************************************
%%% MESSAGES OWNED BY IP
%%%*********************************************************************



%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(ip_update, {sender,
		    nof_elements_to_mark,
		    text}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(ip_quit, {sender}).








%%%*********************************************************************
%%% MESSAGES OWNED BY INFO
%%%*********************************************************************



%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(info_update_table_info, {sender}).







%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(info_raise_window, {sender}).







%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(info_restart, {sender,
		       node,
		       table_id,
		       table_type}).






%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(info_quit, {sender}).



