%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%%*********************************************************************
%%%
%%%   Filename:         tv_pb_int_def.hrl
%%%
%%%   Author:           EPK/TE  Fredrik Gustafson 
%%% 
%%%   SCCS Delta ID:    1.3
%%%
%%%   SCCS Delta Date:  97/06/12
%%%
%%%   SCCS ID:          @(#)  tv_pb_int_def.hrl  1.3  97/06/12
%%%
%%%   Description:      
%%%
%%%*********************************************************************
%%%
%%%   COPYRIGHT ERICSSON TELECOM AB 1998
%%%
%%%   THE COPYRIGHT TO THE COMPUTER PROGRAM HEREIN IS THE
%%%   PROPERTY OF ERICSSON TELECOM AB, SWEDEN. THE PROGRAM
%%%   MAY BE USED AND/OR COPIED ONLY WITH THE WRITTEN PERMISSION
%%%   FROM ERICSSON TELECOM AB, OR IN ACCORDANCE WITH THE TERMS
%%%   AND CONDITIONS STIPULATED IN THE AGREEMENT/CONTRACT UNDER
%%%   WHICH THE PROGRAM HAS BEEN SUPPLIED.
%%%
%%%*********************************************************************
%%%
%%%   Revision information:
%%%
%%%   Date      Name                       Description
%%%   ------    -----------------------    -----------
%%%
%%%
%%%*********************************************************************



-author('fredrik@erlang.ericsson.se').


-vsn('$Revision: /main/release/free/1').
-copyright('Copyright (C) 1991-98 Ericsson Telecom AB').



-define(WHITE, {255,255,255}).

-define(DEFAULT_BG_COLOR, {217,217,217}).

-define(COL_MARK_COLOR, {0, 0, 0}).
-define(SORT_MARK_COLOR, {255,215,0}).

-define(BLINK_COLOR1, {255,0,0}).
-define(BLINK_COLOR2, {0,255,0}).
-define(BLINK_COLOR3, {0,0,0}).
-define(BTN_FONT, {courier,12}).




-record(process_variables, {parent_pid,
			    grid_frame_id,
			    grid_frame_width,
			    grid_frame_height,
			    ypos,
			    hbtn_height,
			    vbtn_width,
			    resbtn_width,
			    first_col_shown,
			    hbtns_shown      = [],
			    vbtns_shown      = [],
			    resbtns_shown    = [],
			    cols_shown       = [],
			    key_numbers      = [],
			    key_ids          = [],
			    blink_color_list = [?BLINK_COLOR1, 
						?BLINK_COLOR2, 
						?BLINK_COLOR3],
			    col_mark_params  = #col_mark_params{},
			    row_mark_params  = #row_mark_params{}
			   }).



-record(col_mark_params, {col_btn_id,
			  virtual_col_marked,
			  sort_btn_id,
			  virtual_sort_col
			 }).



-record(row_mark_params, {virtual_row_marked,
			  real_row_marked
			 }).




-record(hbtn, {virtual_col,
	       real_col,
	       id,
	       width,
	       xpos
	      }).



-record(resbtn, {virtual_col,
		 real_col,
		 id,
		 width,
		 xpos
		}).



-record(vbtn, {virtual_row,
	       real_row,
	       id,
	       height,
	       ypos
	      }).



