%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%%*********************************************************************
%%%
%%%   Filename:         tv_pc_int_def.hrl
%%%
%%%   Author:           EPK/TE  Fredrik Gustafson 
%%% 
%%%   SCCS Delta ID:    1.3
%%%
%%%   SCCS Delta Date:  97/06/12
%%%
%%%   SCCS ID:          @(#)  tv_pc_int_def.hrl  1.3  97/06/12
%%%
%%%   Description:      Include file for the pc parts of the table tool.
%%%
%%%*********************************************************************
%%%
%%%   COPYRIGHT ERICSSON TELECOM AB 1998
%%%
%%%   THE COPYRIGHT TO THE COMPUTER PROGRAM HEREIN IS THE
%%%   PROPERTY OF ERICSSON TELECOM AB, SWEDEN. THE PROGRAM
%%%   MAY BE USED AND/OR COPIED ONLY WITH THE WRITTEN PERMISSION
%%%   FROM ERICSSON TELECOM AB, OR IN ACCORDANCE WITH THE TERMS
%%%   AND CONDITIONS STIPULATED IN THE AGREEMENT/CONTRACT UNDER
%%%   WHICH THE PROGRAM HAS BEEN SUPPLIED.
%%%
%%%*********************************************************************
%%%
%%%   Revision information:
%%%
%%%   Date      Name                       Description
%%%   ------    -----------------------    -----------
%%%   920427    EPK/TE  F Gustafson        First version.
%%%
%%%
%%%*********************************************************************





-author('fredrik@erlang.ericsson.se').
-vsn('$Revision: /main/release/free/1').
-copyright('Copyright (C) 1991-98 Ericsson Telecom AB').




-define(HEAD_FILE, pc).
-define(GRAPH_FUNC_FILE, tv_pc_graph_ctrl).
-define(MENU_FUNC_FILE, tv_pc_menu_handling).



-define(APPLICATION_NAME, "Table Visualizer").
-define(DEFAULT_WINDOW_WIDTH, 750).
-define(DEFAULT_WINDOW_HEIGHT, 600).
-define(DEFAULT_MIN_WINDOW_WIDTH, 300).
-define(DEFAULT_MIN_WINDOW_HEIGHT, 250).



-record(process_variables, {pw_pid,
			    pd_pid,
			    dbs_pid,
			    etsread_pid,
			    current_node,
			    table_id      = undefined,
			    table_type    = ets,
			    table_name,
			    table_number,
			    poll_interval = infinity,   % seconds or 'infinity'
			    window_params = #window_params{}
			   }).



-record(window_params, {window_id,
			window_width,
			window_height
			}).


		 
