%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%%*********************************************************************
%%%
%%%   Filename:         tv_pd_int_msg.hrl
%%%
%%%   Author:           EPK/TE  Fredrik Gustafson 
%%% 
%%%   SCCS Delta ID:    1.2
%%%
%%%   SCCS Delta Date:  97/04/28
%%%
%%%   SCCS ID:          @(#)  tv_pd_int_msg.hrl  1.2  97/04/28
%%%
%%%   Description:      
%%%
%%%*********************************************************************
%%%
%%%   COPYRIGHT ERICSSON TELECOM AB 1997
%%%
%%%   THE COPYRIGHT TO THE COMPUTER PROGRAM HEREIN IS THE
%%%   PROPERTY OF ERICSSON TELECOM AB, SWEDEN. THE PROGRAM
%%%   MAY BE USED AND/OR COPIED ONLY WITH THE WRITTEN PERMISSION
%%%   FROM ERICSSON TELECOM AB, OR IN ACCORDANCE WITH THE TERMS
%%%   AND CONDITIONS STIPULATED IN THE AGREEMENT/CONTRACT UNDER
%%%   WHICH THE PROGRAM HAS BEEN SUPPLIED.
%%%
%%%*********************************************************************
%%%
%%%   Revision information:
%%%
%%%   Date      Name                       Description
%%%   ------    -----------------------    -----------
%%%
%%%
%%%*********************************************************************



-author('fredrik@erlang.ericsson.se').
-vsn('$Revision: /main/release/free/1').
-copyright('Copyright (C) 1991-97 Ericsson Telecom AB').






%%%*********************************************************************
%%% MESSAGES OWNED BY PG
%%%*********************************************************************



%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_init_grid, {sender,
		       parent_id,
		       width,
		       height,
		       xpos,
		       ypos,
		       nof_rows,
		       row_height
		      }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_col_info, {sender,
		      first_col_shown,
		      width_of_cols_shown,
		      nof_rows_shown
		     }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_col_marked, {sender,
			virtual_col
		       }).






%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_row_marked, {sender,
			virtual_row
		       }).







%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pg_data, {sender,
		  data,
		  first_row_shown
		 }).






%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pg_cell_marked, {sender,
			 cell_marked,    % true or false
			 real_col,
			 real_row,
			 virtual_col,
			 virtual_row,
			 cell_text
			}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pg_resize_grid, {sender,
			 width,
			 height
			}).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pg_resize_grid_col, {sender,
			     real_col_no,
			     virtual_col_no,
			     xdiff
			    }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pg_horizontal_scroll, {sender,
			       leftmost_virtual_col
			      }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_ready, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_remove_marks, {sender}).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_mark_col, {sender,
		      virtual_col,
		      real_col
		     }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pg_mark_row, {sender,
		      virtual_row,
		      real_row
		     }).






%%%*********************************************************************
%%% MESSAGES OWNED BY PB
%%%*********************************************************************



%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================

-record(pb_init_btns, {sender,
		       parent_id,
		       parent_width,
		       parent_height,
		       ypos,
		       hbtn_height,
		       resbtn_width,
		       vbtn_width,
		       nof_rows,
		       row_height,
		       first_col_shown,
		       cols_shown
		      }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_remove_marks, {sender}).
			  




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_update_hbtns, {sender,
			  parent_width,
			  parent_height,
			  first_col_shown,
			  cols_shown
			 }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_update_vbtns, {sender,
			  color_list,
			  first_row_shown,
			  nof_rows_shown,
			  blinking_enabled
			 }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_key_info, {sender,
		      list_of_keys
		     }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_new_colwidth, {sender,
			  real_col,
			  virtual_col,
			  xdiff
			 }).





%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_col_marked, {sender,
			col_marked,    % 'true' or 'false'
			real_col,
			virtual_col
		       }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_row_marked, {sender,
			row_marked,    % 'true' or 'false'
			real_row,
			virtual_row
		       }).




%%======================================================================
%% Message:   
%%
%% Function:   
%%
%% Data:       
%%======================================================================


-record(pb_set_sort_col, {sender,
			  virtual_col
			 }).




